Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.beans.info.plugins
Class AbstractBeanInfoFactory

    java.lang.Object
      org.jboss.beans.info.plugins.AbstractBeanInfoFactory

All Implemented Interfaces:
  BeanInfoFactory

public class AbstractBeanInfoFactory
extends Object
implements BeanInfoFactory

A bean info factory.

Version:
  $Revision: 1.7 $
Author:
  Adrian Brock

Field Summary
`protected Map` | `cache` The cache

Constructor Summary
`AbstractBeanInfoFactory()` Create a new bean info factory

Method Summary
`protected BeanInfo` | `createBeanInfo(org.jboss.classadapter.spi.ClassAdapter classAdapter, Set properties, Set constructors, Set methods, Set events)` Create the bean info
`BeanInfo` | `getBeanInfo(ClassLoader cl, org.jboss.classadapter.spi.ClassAdapter classAdapter)` Retrieve the bean information
`protected Set` | `getConstructors(org.jboss.reflect.spi.ClassInfo classInfo)` Get the constructors
`protected Set` | `getEvents(org.jboss.reflect.spi.ClassInfo classInfo)` Get the events
`protected static String` | `getLowerPropertyName(String name)`
`protected Set` | `getMethods(org.jboss.reflect.spi.ClassInfo classInfo)` Get the methods
`protected Set` | `getProperties(Set methods)` Get the properties
`protected static String` | `getUpperPropertyName(String name)`
`protected static boolean` | `isGetter(org.jboss.reflect.spi.MethodInfo minfo)`
`protected static boolean` | `isSetter(org.jboss.reflect.spi.MethodInfo minfo)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cache

    protected Map cache

  The cache

Constructor Detail

### AbstractBeanInfoFactory

    public AbstractBeanInfoFactory()

  Create a new bean info factory

Method Detail

### isGetter

    protected static boolean isGetter(org.jboss.reflect.spi.MethodInfo minfo)

### isSetter

    protected static boolean isSetter(org.jboss.reflect.spi.MethodInfo minfo)

### getUpperPropertyName

    protected static String getUpperPropertyName(String name)

### getLowerPropertyName

    protected static String getLowerPropertyName(String name)

### getBeanInfo

    public BeanInfo getBeanInfo(ClassLoader cl,
                                org.jboss.classadapter.spi.ClassAdapter classAdapter)

  Description copied from interface: `BeanInfoFactory`
  Retrieve the bean information

  Specified by:
    `getBeanInfo` in interface `BeanInfoFactory`
  Parameters:
    `cl` - the classloader
    `classAdapter` - the classAdapter
  Returns:
    the bean information

### createBeanInfo

    protected BeanInfo createBeanInfo(org.jboss.classadapter.spi.ClassAdapter classAdapter,
                                      Set properties,
                                      Set constructors,
                                      Set methods,
                                      Set events)

  Create the bean info

  Parameters:
    `classAdapter` - the class adapter
    `properties` - the properties
    `constructors` - the constructors
    `methods` - the methods
    `events` - the events

### getConstructors

    protected Set getConstructors(org.jboss.reflect.spi.ClassInfo classInfo)

  Get the constructors

  Parameters:
    `classInfo` - the class info
  Returns:
    the constructors

### getMethods

    protected Set getMethods(org.jboss.reflect.spi.ClassInfo classInfo)

  Get the methods

  Parameters:
    `classInfo` - the class info
  Returns:
    the methods

### getProperties

    protected Set getProperties(Set methods)

  Get the properties

  Parameters:
    `methods` - the methods
  Returns:
    the properties

### getEvents

    protected Set getEvents(org.jboss.reflect.spi.ClassInfo classInfo)

  Get the events

  Parameters:
    `classInfo` - the class info
  Returns:
    the events

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.